@echo off
rem ##############################################################
rem
rem  g800_cleaner -- remove malware on XiaoCai X9 'G800' ROM
rem
rem  This is for the G800_Z5_YG_EN_C1_V0.4_20130910 ROM only!
rem  By Krusovice -- http://www.android-hilfe.de/
rem 
rem  THIS SCRIPT IS RUN ON YOUR HOST (Windows)
rem 
rem ##############################################################
rem 
rem  Instructions:
rem 
rem   0. Copy these scripts into your motochopper directory
rem      (the same directory where adb.exe is located)
rem 
rem   1. Put your device into factory mode (hold Vol- while rebooting)
rem      You should see a menu with Chinese characters.
rem      If you want to stop here: you can navigate with Vol+/Vol- buttons,
rem      the menu entry at the bottom reboots your phone,
rem      press the Power button for OK.
rem 
rem   2. Attach phone via USB
rem 
rem   3. Run this script (clean.bat)
rem      Your phone will reboot afterwards.
rem 
rem ##############################################################

cd %~dp0

echo *** g800_cleaner -- remove malware on XiaoCai X9 'G800' ROM (from Windows)
echo *** By Krusovice -- http://www.android-hilfe.de/
echo ***
echo *** NOTE: This is for the G800_Z5_YG_EN_C1_V0.4_20130910 ROM only!
echo ***
echo *** WARNING:   !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo *** WARNING:   !!!   THIS WILL VOID THE WARRANTY OF YOUR PHONE   !!!
echo *** WARNING:   !!!   THIS MAY BRICK YOUR DEVICE                  !!!
echo *** WARNING:   !!!   RUN AT YOUR OWN RISK                        !!!
echo *** WARNING:   !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo ***
echo *** Make sure that you're connected via USB!
echo ***

echo *** Press any key to continue or CTRL+C to abort:
pause

adb kill-server

echo *** Waiting for device ...
adb wait-for-device

echo *** Run cleaner script ...
adb push cln /data/local/tmp/cln.sh
adb shell chmod 755 /data/local/tmp/cln.sh
adb shell /data/local/tmp/cln.sh
adb shell rm /data/local/tmp/cln.sh

echo *** Cleaning complete
echo ***
echo *** Press any key to reboot your phone:
pause

adb reboot
adb kill-server

echo ***
echo *** We're done :-)
echo ***
echo *** Press any key to close this window
pause
